Company
curl --request GET \
--url https://api.themoviedb.org/3/search/company \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/search/company"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/search/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/search/company",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/search/company"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/search/company")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/search/company")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"results": [
{
"id": 102576,
"logo_path": "/gF5TYo681zsnO2hshaUvWFDwA3O.png",
"name": "Yapiko Animation",
"origin_country": "JP"
},
{
"id": 56652,
"logo_path": null,
"name": "Bardel Animation",
"origin_country": ""
},
{
"id": 140091,
"logo_path": null,
"name": "CUB Animation",
"origin_country": ""
},
{
"id": 140210,
"logo_path": null,
"name": "Studio of Animation Films Sofia",
"origin_country": ""
},
{
"id": 521,
"logo_path": "/3BPX5VGBov8SDqTV7wC1L1xShAS.png",
"name": "DreamWorks Animation",
"origin_country": "US"
},
{
"id": 57474,
"logo_path": null,
"name": "Chung-Ang Univ Animation Lab",
"origin_country": ""
},
{
"id": 103077,
"logo_path": null,
"name": "ACT Animation Films",
"origin_country": ""
},
{
"id": 58814,
"logo_path": null,
"name": "2 Minutes Animation",
"origin_country": ""
},
{
"id": 59318,
"logo_path": null,
"name": "Hong Guang Animation (Su Zhou)",
"origin_country": ""
},
{
"id": 103933,
"logo_path": null,
"name": "Howlers Animation",
"origin_country": ""
},
{
"id": 1514,
"logo_path": null,
"name": "Tim Burton Animation Company",
"origin_country": ""
},
{
"id": 141852,
"logo_path": null,
"name": "Shanghai Morning Sun Animation",
"origin_country": ""
},
{
"id": 104604,
"logo_path": null,
"name": "Eric Miller Animation Studios",
"origin_country": ""
},
{
"id": 104638,
"logo_path": null,
"name": "Studio B Animation",
"origin_country": ""
},
{
"id": 104683,
"logo_path": null,
"name": "Marbean Animation",
"origin_country": "KR"
},
{
"id": 142757,
"logo_path": null,
"name": "Mullvad Animation",
"origin_country": "SE"
},
{
"id": 105086,
"logo_path": null,
"name": "HOT Animation LTD",
"origin_country": ""
},
{
"id": 105287,
"logo_path": null,
"name": "Eelke Dekker Film & Animation",
"origin_country": ""
},
{
"id": 143170,
"logo_path": "/qkMrUYPfXCpCDndZG9w5H1qgfvU.png",
"name": "Yi Animation",
"origin_country": "CN"
},
{
"id": 105396,
"logo_path": null,
"name": "Motion Makers Animation Studio Pvt. Ltd.",
"origin_country": ""
}
],
"total_pages": 51,
"total_results": 1020
}Company
This endpoint search companies by their original and alternative names.
GET
/
3
/
search
/
company
Company
curl --request GET \
--url https://api.themoviedb.org/3/search/company \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/search/company"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/search/company', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/search/company",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/search/company"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/search/company")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/search/company")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"results": [
{
"id": 102576,
"logo_path": "/gF5TYo681zsnO2hshaUvWFDwA3O.png",
"name": "Yapiko Animation",
"origin_country": "JP"
},
{
"id": 56652,
"logo_path": null,
"name": "Bardel Animation",
"origin_country": ""
},
{
"id": 140091,
"logo_path": null,
"name": "CUB Animation",
"origin_country": ""
},
{
"id": 140210,
"logo_path": null,
"name": "Studio of Animation Films Sofia",
"origin_country": ""
},
{
"id": 521,
"logo_path": "/3BPX5VGBov8SDqTV7wC1L1xShAS.png",
"name": "DreamWorks Animation",
"origin_country": "US"
},
{
"id": 57474,
"logo_path": null,
"name": "Chung-Ang Univ Animation Lab",
"origin_country": ""
},
{
"id": 103077,
"logo_path": null,
"name": "ACT Animation Films",
"origin_country": ""
},
{
"id": 58814,
"logo_path": null,
"name": "2 Minutes Animation",
"origin_country": ""
},
{
"id": 59318,
"logo_path": null,
"name": "Hong Guang Animation (Su Zhou)",
"origin_country": ""
},
{
"id": 103933,
"logo_path": null,
"name": "Howlers Animation",
"origin_country": ""
},
{
"id": 1514,
"logo_path": null,
"name": "Tim Burton Animation Company",
"origin_country": ""
},
{
"id": 141852,
"logo_path": null,
"name": "Shanghai Morning Sun Animation",
"origin_country": ""
},
{
"id": 104604,
"logo_path": null,
"name": "Eric Miller Animation Studios",
"origin_country": ""
},
{
"id": 104638,
"logo_path": null,
"name": "Studio B Animation",
"origin_country": ""
},
{
"id": 104683,
"logo_path": null,
"name": "Marbean Animation",
"origin_country": "KR"
},
{
"id": 142757,
"logo_path": null,
"name": "Mullvad Animation",
"origin_country": "SE"
},
{
"id": 105086,
"logo_path": null,
"name": "HOT Animation LTD",
"origin_country": ""
},
{
"id": 105287,
"logo_path": null,
"name": "Eelke Dekker Film & Animation",
"origin_country": ""
},
{
"id": 143170,
"logo_path": "/qkMrUYPfXCpCDndZG9w5H1qgfvU.png",
"name": "Yi Animation",
"origin_country": "CN"
},
{
"id": 105396,
"logo_path": null,
"name": "Motion Makers Animation Studio Pvt. Ltd.",
"origin_country": ""
}
],
"total_pages": 51,
"total_results": 1020
}Authorizations
Response
200 - application/json
Company
Show child attributes
Show child attributes
Example:
[ { "id": 102576, "logo_path": "/gF5TYo681zsnO2hshaUvWFDwA3O.png", "name": "Yapiko Animation", "origin_country": "JP" }, { "id": 56652, "logo_path": null, "name": "Bardel Animation", "origin_country": "" }, { "id": 140091, "logo_path": null, "name": "CUB Animation", "origin_country": "" }, { "id": 140210, "logo_path": null, "name": "Studio of Animation Films Sofia", "origin_country": "" }, { "id": 521, "logo_path": "/3BPX5VGBov8SDqTV7wC1L1xShAS.png", "name": "DreamWorks Animation", "origin_country": "US" }, { "id": 57474, "logo_path": null, "name": "Chung-Ang Univ Animation Lab", "origin_country": "" }, { "id": 103077, "logo_path": null, "name": "ACT Animation Films", "origin_country": "" }, { "id": 58814, "logo_path": null, "name": "2 Minutes Animation", "origin_country": "" }, { "id": 59318, "logo_path": null, "name": "Hong Guang Animation (Su Zhou)", "origin_country": "" }, { "id": 103933, "logo_path": null, "name": "Howlers Animation", "origin_country": "" }, { "id": 1514, "logo_path": null, "name": "Tim Burton Animation Company", "origin_country": "" }, { "id": 141852, "logo_path": null, "name": "Shanghai Morning Sun Animation", "origin_country": "" }, { "id": 104604, "logo_path": null, "name": "Eric Miller Animation Studios", "origin_country": "" }, { "id": 104638, "logo_path": null, "name": "Studio B Animation", "origin_country": "" }, { "id": 104683, "logo_path": null, "name": "Marbean Animation", "origin_country": "KR" }, { "id": 142757, "logo_path": null, "name": "Mullvad Animation", "origin_country": "SE" }, { "id": 105086, "logo_path": null, "name": "HOT Animation LTD", "origin_country": "" }, { "id": 105287, "logo_path": null, "name": "Eelke Dekker Film & Animation", "origin_country": "" }, { "id": 143170, "logo_path": "/qkMrUYPfXCpCDndZG9w5H1qgfvU.png", "name": "Yi Animation", "origin_country": "CN" }, { "id": 105396, "logo_path": null, "name": "Motion Makers Animation Studio Pvt. Ltd.", "origin_country": "" } ]